Subject: Re: [nfsv4] Jari Arkko's Discuss ondraft-ietf-nfsv4-federated-fs-dns-srv-namespace-09: (withDISCUSS and COMMENT)

From: "Everhart, Craig" <[email-masked]>
Date: Fri, 11 Nov 2011 12:42:37 -0500

> From: Jari Arkko [mailto:[email-masked]]
> Sent: Thursday, October 20, 2011 9:27 AM
> To: The IESG
> Cc: [email-masked]; draft-ietf-nfsv4-federated-fs-dns-srv-
> [email-masked]
> Subject: Jari Arkko's Discuss ondraft-ietf-nfsv4-federated-fs-dns-srv-
> namespace-09: (withDISCUSS and COMMENT)
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> I do not understand why the document prohibits the use of DNS-SD to
> discover NFSv4 services. If I don't have a DNS server in my home
> network and I want to access information from a NFSv4 capable server,
> it should work, no?

The intent is not to prohibit this use, but not to take a position
on just what it is that one discovers through techniques like
mDNS.  We thought that that was a separate piece of work that was
yet to be defined.

Is this not a reasonable position to hold?  If mention of "DNS-SD"
is removed, would that be acceptable?

		Craig